<div class="text-center padding">
  <h1>🚀</h1>
  <h1 class="margin-bottom">Don't worry, it happens</h1>
  <p>Let's recover your password through your email</p>
  <div *ngIf="!isLoading">
    <div *ngIf="!isSent">
      <form [formGroup]="form" (ngSubmit)="submit()">
        <mat-form-field>
          <input
            matInput
            placeholder="Email"
            type="email"
            formControlName="email"
          />
        </mat-form-field>
        <app-requirements
          [visible]="email.touched && email.invalid"
          [list]="emailRequirements"
        ></app-requirements>

        <div class="margin">
          <button mat-raised-button type="submit" color="primary">
            Recover
          </button>
        </div>
      </form>
      <div>
        <a mat-button routerLink="/auth/login">Back to login</a>
        <a mat-button routerLink="/auth/signup">Create an account</a>
      </div>
    </div>
    <div *ngIf="isSent">
      <p>
        The email was sent. Check your inbox and click the link to reset your
        password.
      </p>
      <a mat-button routerLink="/auth/login">Back to login</a>
    </div>
  </div>
  <div *ngIf="isLoading">
    <mat-progress-bar mode="indeterminate"></mat-progress-bar>
  </div>
</div>
